import { FormikValues } from "formik";
import { CSSProperties, ReactNode } from "react";
import { RadioValue } from "./RadioContext";
type OptionProps = {
    children: ReactNode;
    style?: CSSProperties;
    checkedStyle?: CSSProperties;
    disabledStyle?: CSSProperties;
    disabledCheckedStyle?: CSSProperties;
    disabled?: boolean | ((values: FormikValues) => boolean);
    value?: RadioValue;
    onChange?: (value?: RadioValue) => void;
};
declare const Option: ({ disabled, style, checkedStyle, disabledStyle, disabledCheckedStyle, value, children, onChange, }: OptionProps) => JSX.Element;
export default Option;
